LedgerLou Docs ist für Desktop optimiert.

Bitte öffne diese Seite auf einem Gerät mit breiterem Bildschirm.

Kreditoren

Rechnungen auflisten

Gibt Eingangsrechnungen mit optionalen Filtern (Kreditor, Status, Zeitraum) und Paginierung zurueck. Der Status wird serverseitig berechnet.

GET /v1/invoices
Authorization
Authorization string header erforderlich API-Key im Format ll_.... Übergabe als Bearer Token.
Query-Parameter
vendor_id uuid optional Nach Kreditor filtern
status string optional "draft", "open", "partially_paid", "paid" oder "overdue"
start_date string optional Ab Rechnungsdatum (YYYY-MM-DD)
end_date string optional Bis Rechnungsdatum (YYYY-MM-DD)
limit integer optional Max. Ergebnisse (1–500, Default: 100)
offset integer optional Offset fuer Paginierung (Default: 0)
Antworten
200
Erfolgreich
400
INVALID_INPUT Pflichtfelder fehlen oder Werte entsprechen nicht dem erwarteten Format.
GET /v1/invoices
cURL
-cmd">curl --request -method">GET -punct">\
  --url 'https://api.ledgerlou.de/v1/invoices' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
[
  {
    "id": "<string>",
    "vendor_id": "<string>",
    "vendor_name": "<string>",
    "invoice_number": "<string>",
    "invoice_date": "<string>",
    "due_date": "<string>",
    "total_gross": 1,
    "status": "<string>",
    "remaining_amount": 1
  }
]